import { Base, Type, INotifyPropertyChanged, EventArgs, PropertyChangedEventArgs } from "igniteui-react-core";
import { INativeUIElementFactory } from "igniteui-react-core";
import { NativeUIElementFactoryFlavor } from "igniteui-react-core";
import { NativeUIComponent } from "igniteui-react-core";
import { NativeUIComponentBuiltInType } from "igniteui-react-core";
import { DomWrapper, DomRenderer } from "igniteui-react-core";
import { XComponentBridge } from "igniteui-react-inputs";
import { INativeUIToolPanelBridge } from "./INativeUIToolPanelBridge";
import { Size } from "igniteui-react-core";
import { NativeUIBuiltInEvents } from "igniteui-react-core";
import { ToolCommandEventArgs } from "./ToolCommandEventArgs";
import { NativeUIBuiltInProperties } from "igniteui-react-core";
import { ToolPanelOrientation } from "./ToolPanelOrientation";
import { BaseControlTheme } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { ListPanel } from "./ListPanel";
import { Popup } from "igniteui-react-core";
import { NativeUIContent } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { NativeUIContentRefreshedEventArgs } from "./NativeUIContentRefreshedEventArgs";
import { IExecutionContext } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ToolActionType } from "igniteui-react-core";
import { NativeUIGrid } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { ToolActionEventDetail } from "./ToolActionEventDetail";
import { ToolCommandArgument } from "igniteui-react-core";
import { NativeUIIcon } from "igniteui-react-core";
import { ListPanelTemplateItemUpdatingEventArgs } from "./ListPanelTemplateItemUpdatingEventArgs";
import { ToolActionMeasurementContext } from "./ToolActionMeasurementContext";
import { ToolActionPerformedEventArgs } from "./ToolActionPerformedEventArgs";
import { ToolCommand } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { NativeUIButton } from "igniteui-react-core";
import { NativeUIButtonClickedEventArgs } from "igniteui-react-core";
import { NativeUIClickedEventArgs } from "igniteui-react-core";
import { NativeUIPopup } from "igniteui-react-core";
import { NativeUIMouseEventArgs } from "igniteui-react-core";
import { NativeUIFocusEventArgs } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { ToolbarOrientation } from "./ToolbarOrientation";
import { IToolbarTarget } from "igniteui-react-core";
import { ToolCommandStateType } from "igniteui-react-core";
import { NestedActionMode } from "./NestedActionMode";
import { ToolPanelContentRefreshedEventArgs } from "./ToolPanelContentRefreshedEventArgs";
import { NativeUIAbsolutePanel } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class NativeUILayoutFactory extends Base implements INativeUIElementFactory {
    static $t: Type;
    private static a;
    static get b(): NativeUILayoutFactory;
    static e(): void;
    private c;
    get flavor(): NativeUIElementFactoryFlavor;
    createComponent(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    createComponentSync(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    supportsComponent(a: NativeUIComponentBuiltInType): boolean;
    private d;
}
/**
 * @hidden
 */
export declare class XToolPanelBridge extends XComponentBridge implements INativeUIToolPanelBridge {
    static $t: Type;
    private u;
    private x;
    private v;
    private y;
    private w;
    private z;
    constructor(a: any);
    getDesiredSize(a: any, b: Size): Size;
    addHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    removeHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    private ab;
    private ac;
    private aa;
    setValue(a: any, b: NativeUIBuiltInProperties, c: any): void;
    getValue(a: any, b: NativeUIBuiltInProperties): any;
    refresh(a: any): void;
    notifySizeChanged(a: any, b: Size): void;
}
/**
 * @hidden
 */
export declare class ToolbarView extends Base {
    static $t: Type;
    private n;
    private m;
    constructor();
    p(): any;
    a: Toolbar;
    v(): void;
    i: DomRenderer;
    l: DomWrapper;
    e: RenderingContext;
    k: DomWrapper;
    t(a: DomRenderer): void;
    y(): void;
    x(): void;
    s(): void;
    z(): void;
    private b;
    private aa;
    private c;
    private _gridExternal;
    d(): FontInfo;
    u(): void;
    w(): void;
    r(): void;
    g(): number;
    h(a: string): number;
    f: boolean;
    private j;
    q(a: any, b: (arg1: any) => void): void;
}
/**
 * @hidden
 */
export declare class ToolPanelView extends Base {
    static $t: Type;
    private s;
    private r;
    constructor();
    v(): any;
    c: ToolPanel;
    ab(): void;
    n: DomRenderer;
    get t(): DomWrapper;
    q: DomWrapper;
    g: RenderingContext;
    p: DomWrapper;
    z(a: DomRenderer): void;
    ad(): void;
    y(): void;
    k(): number;
    j(): number;
    ae(): void;
    private d;
    private ag;
    private e;
    private _gridExternal;
    f(): FontInfo;
    aa(): void;
    ac(): void;
    x(): void;
    i(): number;
    l(a: string): number;
    m(a: string, b: FontInfo): number;
    h: boolean;
    private o;
    w(a: any, b: (arg1: any) => void): void;
    a(): Popup;
    b(a: NativeUIContent): ToolPanel;
    af(a: any): Rect;
}
/**
 * @hidden
 */
export declare class NativeUIToolPanel extends NativeUIComponent {
    static $t: Type;
    private get bk();
    get bp(): ToolActionCollection;
    set bp(a: ToolActionCollection);
    get bs(): number;
    set bs(a: number);
    get br(): number;
    get bq(): ToolPanelOrientation;
    set bq(a: ToolPanelOrientation);
    get b1(): Brush;
    set b1(a: Brush);
    get bw(): Brush;
    set bw(a: Brush);
    get bv(): Brush;
    set bv(a: Brush);
    get b0(): Brush;
    set b0(a: Brush);
    get bx(): Brush;
    set bx(a: Brush);
    get by(): Brush;
    set by(a: Brush);
    get bz(): Brush;
    set bz(a: Brush);
    private bl;
    get bm(): (sender: any, args: NativeUIContentRefreshedEventArgs) => void;
    set bm(a: (sender: any, args: NativeUIContentRefreshedEventArgs) => void);
    private bg;
    get bi(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bi(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private bh;
    get bj(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bj(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private bn;
    get bo(): (sender: any, args: ToolCommandEventArgs) => void;
    set bo(a: (sender: any, args: ToolCommandEventArgs) => void);
    bu(): void;
    bt(a: Size): void;
}
/**
 * @hidden
 */
export declare abstract class ToolAction extends Base implements INotifyPropertyChanged {
    static $t: Type;
    j: ToolPanel;
    private a;
    get b(): IExecutionContext;
    set b(a: IExecutionContext);
    get ct(): string;
    d: ToolAction;
    private e;
    get actions(): ToolActionCollection;
    private a1;
    get bj(): number;
    set bj(a: number);
    constructor();
    de(): void;
    private dr;
    private ds;
    private c6;
    g(a: boolean): ToolActionEventDetail;
    n(): ToolCommandArgument;
    c4(): string;
    bm(): any;
    bn(): any;
    private bt;
    get c2(): string;
    set c2(a: string);
    ca: string;
    b7: string;
    cx: string;
    c5(): string;
    private bp;
    get ce(): string;
    set ce(a: string);
    private bo;
    get cb(): string;
    set cb(a: string);
    private bk;
    get bl(): any;
    set bl(a: any);
    private k;
    get l(): BaseControlTheme;
    set l(a: BaseControlTheme);
    private ax;
    get bf(): number;
    set bf(a: number);
    private ap;
    get a3(): number;
    set a3(a: number);
    private ay;
    get bg(): number;
    set bg(a: number);
    private aq;
    get a4(): number;
    set a4(a: number);
    private aw;
    get be(): number;
    set be(a: number);
    private ao;
    get a2(): number;
    set a2(a: number);
    private az;
    get bh(): number;
    set bh(a: number);
    private ar;
    get a5(): number;
    set a5(a: number);
    private ee;
    get er(): Brush;
    set er(a: Brush);
    private el;
    get ex(): Brush;
    set ex(a: Brush);
    private ej;
    private ec;
    get ep(): Brush;
    set ep(a: Brush);
    private ei;
    get ev(): Brush;
    set ev(a: Brush);
    private eh;
    get eu(): Brush;
    set eu(a: Brush);
    private eo;
    get e0(): Brush;
    set e0(a: Brush);
    private ed;
    get eq(): Brush;
    set eq(a: Brush);
    private ek;
    get ew(): Brush;
    set ew(a: Brush);
    private o;
    get r(): FontInfo;
    set r(a: FontInfo);
    private q;
    get t(): FontInfo;
    set t(a: FontInfo);
    private ab;
    get ah(): boolean;
    set ah(a: boolean);
    get ag(): boolean;
    private bs;
    get cv(): string;
    set cv(a: string);
    private bv;
    get db(): string;
    set db(a: string);
    private bu;
    get c7(): string;
    set c7(a: string);
    private a0;
    get bi(): number;
    set bi(a: number);
    private br;
    get cm(): string;
    set cm(a: string);
    private bq;
    get cj(): string;
    set cj(a: string);
    private at;
    get bb(): number;
    set bb(a: number);
    private au;
    get bc(): number;
    set bc(a: number);
    private av;
    get bd(): number;
    set bd(a: number);
    private as;
    get ba(): number;
    set ba(a: number);
    private em;
    get ey(): Brush;
    set ey(a: Brush);
    private ef;
    get es(): Brush;
    set es(a: Brush);
    private en;
    get ez(): Brush;
    set ez(a: Brush);
    private eg;
    get et(): Brush;
    set et(a: Brush);
    private e1;
    get e2(): Visibility;
    set e2(a: Visibility);
    protected get_ad(): boolean;
    protected get ad(): boolean;
    protected get_ae(): boolean;
    protected get ae(): boolean;
    protected get_aj(): boolean;
    protected get aj(): boolean;
    protected get_al(): boolean;
    protected get al(): boolean;
    protected get_ac(): boolean;
    protected get ac(): boolean;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected dy(a: string, b: any, c: any): void;
    protected get_m(): ToolActionType;
    get m(): ToolActionType;
    protected d5(a: string, b: any, c: any): void;
    private p;
    protected ai(): boolean;
    ea(): void;
    protected eb(): void;
    protected dx(): void;
    d0(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    d1(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    dj(a: ToolPanel, b: ToolActionMeasurementContext): void;
    dk(a: ToolPanel, b: ToolActionMeasurementContext): void;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    a9(a: ToolPanel, b: ToolActionMeasurementContext): number;
    a7(a: ToolPanel, b: ToolActionMeasurementContext): number;
    s(a: ToolPanel): FontInfo;
    a6(a: ToolPanel, b: ToolActionMeasurementContext): number;
    dz(a: ToolActionEventDetail, b: ToolAction): void;
    private d6;
    protected d7(a: ToolCommand): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    protected am(): boolean;
    private dh;
    af(): boolean;
    private du;
    private di;
    performed: (sender: any, args: ToolActionPerformedEventArgs) => void;
    static c(a: ToolActionInfo): ToolAction;
    dq(a: ToolActionInfo): void;
    protected ak(): boolean;
    protected an(): boolean;
    protected v(a: NativeUIComponentBuiltInType): NativeUIElementFactoryFlavor;
    private x;
    protected get y(): NativeUIGrid;
    private w;
    private u;
    private z;
    private aa;
    private dp;
    protected dn(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected dm(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected d9(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private dl;
    private dt;
    private d8;
    protected df(a: NativeUIContent): void;
    protected dw(): void;
    protected dv(a: any, b: NativeUIClickedEventArgs): void;
    d3(): void;
    dg(): void;
    d4(a: ToolAction): void;
}
/**
 * @hidden
 */
export declare class ToolActionButton extends ToolAction {
    static $t: Type;
    protected get_m(): ToolActionType;
    n(): ToolCommandArgument;
    g(a: boolean): ToolActionEventDetail;
    private e3;
    a9(a: ToolPanel, b: ToolActionMeasurementContext): number;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private e5;
    private e4;
    d1(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
}
/**
 * @hidden
 */
export declare class ToolActionLabel extends ToolAction {
    static $t: Type;
    private static readonly e4;
    private e3;
    protected get_ad(): boolean;
    constructor();
    protected get_m(): ToolActionType;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private e5;
    protected dw(): void;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected d5(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class ToolActionRadio extends ToolAction {
    static $t: Type;
    private e3;
    protected get_m(): ToolActionType;
    private e6;
    get e7(): string;
    set e7(a: string);
    private e4;
    get e5(): boolean;
    set e5(a: boolean);
    g(a: boolean): ToolActionEventDetail;
    bn(): any;
    e9(): void;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected eb(): void;
    protected dw(): void;
    private fa;
    private fb;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected d5(a: string, b: any, c: any): void;
    dq(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionSeparator extends ToolAction {
    static $t: Type;
    private e5;
    get e6(): number;
    set e6(a: number);
    private e3;
    get e4(): boolean;
    set e4(a: boolean);
    constructor();
    protected get_m(): ToolActionType;
    dk(a: ToolPanel, b: ToolActionMeasurementContext): void;
    protected dn(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected dm(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected d9(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected eb(): void;
    protected d5(a: string, b: any, c: any): void;
    dq(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconButton extends ToolAction {
    static $t: Type;
    private e8;
    private e4;
    private e3;
    private fi;
    private fj;
    private fe;
    private fb;
    private fa;
    protected get_m(): ToolActionType;
    protected get_al(): boolean;
    protected get e9(): NativeUIPopup;
    protected get_fh(): boolean;
    protected get fh(): boolean;
    private fd;
    protected get fg(): boolean;
    protected set fg(a: boolean);
    private fk;
    get fl(): number;
    set fl(a: number);
    private ff;
    constructor();
    de(): void;
    n(): ToolCommandArgument;
    g(a: boolean): ToolActionEventDetail;
    protected e5: NativeUIButton;
    protected e7: NativeUIIcon;
    protected e6: NativeUIIcon;
    a7(a: ToolPanel, b: ToolActionMeasurementContext): number;
    a9(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected dn(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected df(a: NativeUIContent): void;
    private f3;
    protected f4(a: NativeUIGrid, b: NativeUIPopup): void;
    protected fn(): void;
    protected fp(): void;
    protected fo(): void;
    protected fq(): void;
    protected f5(): Size;
    private f1;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected eb(): void;
    protected dx(): void;
    d3(): void;
    dg(): void;
    protected f2(a?: boolean): void;
    protected fm(): void;
    private fw;
    private fr;
    protected fu(a: any, b: NativeUIMouseEventArgs): void;
    protected fv(a: any, b: NativeUIMouseEventArgs): void;
    protected fs(a: any, b: NativeUIButtonClickedEventArgs): void;
    private fc;
    private fz;
    private f0;
    private fx;
    private fy;
    protected ft(a: any, b: NativeUIFocusEventArgs): void;
    protected d5(a: string, b: any, c: any): void;
    dq(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionGroupHeader extends ToolAction {
    static $t: Type;
    private static readonly e6;
    private e3;
    private e4;
    protected get_m(): ToolActionType;
    protected get_ad(): boolean;
    protected get_ae(): boolean;
    protected get_aj(): boolean;
    private fa;
    get fc(): Brush;
    set fc(a: Brush);
    private fb;
    get fd(): Brush;
    set fd(a: Brush);
    constructor();
    s(a: ToolPanel): FontInfo;
    a6(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private e9;
    private e8;
    protected df(a: NativeUIContent): void;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected eb(): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconMenu extends ToolActionIconButton {
    static $t: Type;
    private f6;
    protected get_m(): ToolActionType;
    protected get_fh(): boolean;
    protected fn(): void;
    protected fp(): void;
    protected fo(): void;
    protected fq(): void;
    protected f5(): Size;
    private f8;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private f7;
}
/**
 * @hidden
 */
export declare class ToolActionCheckbox extends ToolAction {
    static $t: Type;
    private e3;
    protected get_m(): ToolActionType;
    protected get_ac(): boolean;
    private e4;
    get e5(): boolean;
    set e5(a: boolean);
    g(a: boolean): ToolActionEventDetail;
    bn(): any;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected df(a: NativeUIContent): void;
    protected dw(): void;
    private e8;
    private e7;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected eb(): void;
    protected d5(a: string, b: any, c: any): void;
    dq(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionNumberInput extends ToolAction {
    static $t: Type;
    private e3;
    protected get_m(): ToolActionType;
    private e4;
    get e6(): number;
    set e6(a: number);
    bn(): any;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    e5(): number;
    g(a: boolean): ToolActionEventDetail;
    private e8;
    private e9;
    d2(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected eb(): void;
    protected d5(a: string, b: any, c: any): void;
    protected dw(): void;
    dq(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionCollection extends ObservableCollection$1<ToolAction> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class Toolbar extends Base implements INotifyPropertyChanged, ICommandStateChangedListener {
    static $t: Type;
    l: ToolbarView;
    private w;
    constructor();
    private u;
    private get v();
    private n;
    b6(a: ToolPanel): void;
    private bx;
    b9(a: Size): void;
    private o;
    get p(): BaseControlTheme;
    set p(a: BaseControlTheme);
    private e;
    get autoGeneratedActions(): ToolActionCollection;
    set autoGeneratedActions(a: ToolActionCollection);
    private c;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private d;
    get actualActions(): ToolActionCollection;
    set actualActions(a: ToolActionCollection);
    static j: ToolbarOrientation;
    private i;
    get k(): ToolbarOrientation;
    set k(a: ToolbarOrientation);
    q: IToolbarTarget;
    static ay: any;
    private ax;
    get target(): any;
    set target(a: any);
    private ck;
    get cw(): Brush;
    set cw(a: Brush);
    private cs;
    get c4(): Brush;
    set c4(a: Brush);
    private cm;
    get cy(): Brush;
    set cy(a: Brush);
    private cr;
    get c3(): Brush;
    set c3(a: Brush);
    private co;
    get c0(): Brush;
    set c0(a: Brush);
    ct: Brush;
    get c5(): Brush;
    set c5(a: Brush);
    cl: Brush;
    get cx(): Brush;
    set cx(a: Brush);
    private cn;
    get cz(): Brush;
    set cz(a: Brush);
    private cv;
    get c7(): Brush;
    set c7(a: Brush);
    private cu;
    get c6(): Brush;
    set c6(a: Brush);
    private al;
    get av(): number;
    set av(a: number);
    private am;
    get aw(): number;
    set aw(a: number);
    private cp;
    get c1(): Brush;
    set c1(a: Brush);
    private cq;
    get c2(): Brush;
    set c2(a: Brush);
    private r;
    get s(): FontInfo;
    set s(a: FontInfo);
    t(): FontInfo;
    private ai;
    get as(): number;
    set as(a: number);
    private aj;
    get at(): number;
    set at(a: number);
    private ak;
    get au(): number;
    set au(a: number);
    private ah;
    get ar(): number;
    set ar(a: number);
    private ae;
    get ao(): number;
    set ao(a: number);
    private af;
    get ap(): number;
    set ap(a: number);
    private ag;
    get aq(): number;
    set aq(a: number);
    private ad;
    get an(): number;
    set an(a: number);
    private z;
    get ac(): boolean;
    set ac(a: boolean);
    private by;
    private b0;
    private b1;
    private cj;
    private bz;
    private b8;
    private y;
    private x;
    protected ce(): void;
    private b4;
    private cf;
    private aa;
    private ab;
    private b5;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected ca(a: string, b: any, c: any): void;
    protected cc(a: string, b: any, c: any): void;
    private ci;
    private cb;
    private a;
    get b(): IExecutionContext;
    set b(a: IExecutionContext);
    b2(): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    onCommandStateChanged(a: string, b: ToolCommandStateType, c: any): void;
    private cg;
    ch(a: string, b: string, c: string): void;
    a9(a: string, b: string): string;
}
/**
 * @hidden
 */
export declare class ToolPanel extends Base implements INotifyPropertyChanged {
    static $t: Type;
    p: ToolPanelView;
    v: NativeUIGrid;
    bo: any;
    private y;
    private w;
    private get x();
    di(a: ListPanel): void;
    private c5;
    private c6;
    private c7;
    private i;
    private c8;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private g;
    dn(a: Size): void;
    contentRefreshed: (sender: any, args: ToolPanelContentRefreshedEventArgs) => void;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private aa;
    get ac(): boolean;
    set ac(a: boolean);
    constructor();
    private c9;
    private da;
    private dm;
    private z;
    protected dv(): void;
    dx(): void;
    private df;
    private ae;
    private af;
    private ad;
    private db;
    ab(a: ToolAction): boolean;
    f(a: string): ToolAction;
    ag(a: ToolAction): List$1<ToolAction>;
    private j;
    private dr;
    private dk;
    private d1;
    fl(): Size;
    private dg;
    dh(): void;
    dy(): void;
    dw(a: ToolAction): void;
    private dj;
    private dc;
    ds(): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private s;
    get t(): FontInfo;
    set t(a: FontInfo);
    u(): FontInfo;
    protected dp(a: string, b: any, c: any): void;
    protected dt(a: string, b: any, c: any): void;
    private d4;
    private d3;
    private d2;
    a: IExecutionContext;
    private q;
    get r(): BaseControlTheme;
    set r(a: BaseControlTheme);
    private ei;
    get e8(): Brush;
    set e8(a: Brush);
    private d5;
    get ev(): Brush;
    set ev(a: Brush);
    private er;
    get fh(): Brush;
    set fh(a: Brush);
    private ee;
    get e4(): Brush;
    set e4(a: Brush);
    private ek;
    get fa(): Brush;
    set fa(a: Brush);
    private d7;
    get ex(): Brush;
    set ex(a: Brush);
    private eq;
    get fg(): Brush;
    set fg(a: Brush);
    private ed;
    get e3(): Brush;
    set e3(a: Brush);
    private el;
    get fb(): Brush;
    set fb(a: Brush);
    static readonly bt: string;
    private d8;
    get ey(): Brush;
    set ey(a: Brush);
    private en;
    get fd(): Brush;
    set fd(a: Brush);
    private ea;
    get e0(): Brush;
    set e0(a: Brush);
    private d;
    private ar;
    es: Brush;
    get fi(): Brush;
    set fi(a: Brush);
    private ef;
    get e5(): Brush;
    set e5(a: Brush);
    ej: Brush;
    get e9(): Brush;
    set e9(a: Brush);
    private d6;
    get ew(): Brush;
    set ew(a: Brush);
    private em;
    get fc(): Brush;
    set fc(a: Brush);
    private d9;
    get ez(): Brush;
    set ez(a: Brush);
    private eu;
    get fk(): Brush;
    set fk(a: Brush);
    private eh;
    get e7(): Brush;
    set e7(a: Brush);
    private et;
    get fj(): Brush;
    set fj(a: Brush);
    private eg;
    get e6(): Brush;
    set e6(a: Brush);
    private a0;
    get bl(): number;
    set bl(a: number);
    private ap;
    get bb(): number;
    set bb(a: number);
    private a1;
    get bm(): number;
    set bm(a: number);
    private aq;
    get bc(): number;
    set bc(a: number);
    private eo;
    get fe(): Brush;
    set fe(a: Brush);
    private eb;
    get e1(): Brush;
    set e1(a: Brush);
    private ep;
    get ff(): Brush;
    set ff(a: Brush);
    private ec;
    get e2(): Brush;
    set e2(a: Brush);
    private ax;
    get bi(): number;
    set bi(a: number);
    private am;
    get a8(): number;
    set a8(a: number);
    private ay;
    get bj(): number;
    set bj(a: number);
    private an;
    get a9(): number;
    set a9(a: number);
    private az;
    get bk(): number;
    set bk(a: number);
    private ao;
    get ba(): number;
    set ba(a: number);
    private aw;
    get bh(): number;
    set bh(a: number);
    private al;
    get a7(): number;
    set a7(a: number);
    private at;
    get be(): number;
    set be(a: number);
    private ai;
    get a4(): number;
    set a4(a: number);
    private au;
    get bf(): number;
    set bf(a: number);
    private aj;
    get a5(): number;
    set a5(a: number);
    private av;
    get bg(): number;
    set bg(a: number);
    private ak;
    get a6(): number;
    set a6(a: number);
    private as;
    get bd(): number;
    set bd(a: number);
    private ah;
    get a3(): number;
    set a3(a: number);
    static n: ToolPanelOrientation;
    private m;
    get o(): ToolPanelOrientation;
    set o(a: ToolPanelOrientation);
    dq(a: ToolAction, b: ToolCommand): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    get bn(): number;
    set bn(a: number);
    get a2(): number;
    e: NestedActionMode;
    drillDownRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    drillUpRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    dz(a: ToolAction): void;
    d0(a: ToolAction): void;
    dd(): void;
}
/**
 * @hidden
 */
export declare class DrillDownRequestedEventArgs extends Base {
    static $t: Type;
    a: ToolAction;
}
/**
 * @hidden
 */
export declare class ToolPanelsPresenter extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private ab;
    private i;
    private j;
    private y;
    private o;
    private a;
    private d;
    private g;
    private ay;
    private az;
    private p;
    private b;
    private e;
    private h;
    private c;
    private f;
    private w;
    private get a0();
    private set a0(value);
    private get a1();
    private set a1(value);
    r: NativeUIGrid;
    q: NativeUIAbsolutePanel;
    private u;
    get v(): List$1<PanelInfo>;
    private m;
    get n(): BaseControlTheme;
    set n(a: BaseControlTheme);
    private x;
    get z(): number;
    set z(a: number);
    s: (arg1: ToolCommandEventArgs) => void;
    private aa;
    constructor(a: any, b: IExecutionContext);
    ai(a: () => void): void;
    a2(): Size;
    ae(a: ToolAction, b?: (arg1: NativeUIToolPanel) => void): void;
    aj(a: NativeUIToolPanel): void;
    al(a: number): void;
    ak(a: PanelInfo, b?: () => void): void;
    private aq;
    private ar;
    private ao;
    private af;
    private ah;
    private an;
    private t;
    av(): void;
    private ag;
    aw(): void;
    ax(a: BaseControlTheme, b: ToolPanel): void;
    am(): void;
    containerReady: (sender: any) => void;
    private ap;
    sizeChanged: (sender: any) => void;
    private at;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private as;
    protected au(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class PanelInfo extends Base {
    static $t: Type;
    c: number;
    a: NativeUIToolPanel;
    b: ToolAction;
    constructor(a: ToolAction, b: NativeUIToolPanel, c: number);
    f(): Size;
    e(): void;
    d(a: Size): void;
}
/**
 * @hidden
 */
export declare class PanelAnimationRequest extends Base {
    static $t: Type;
    a: PanelInfo;
    c: number;
    b: () => void;
}
